---
sidebar_position: 0.5
---

import Image from "@theme/IdealImage";

# Password protection

A file can be protected with a password, which is stored in a [dbmeta.json](/configuration/metadata.md) file.

Protected files can only be downloaded/viewed after unlocking them with the correct password. However, they are still visible in the file tree.


<Image img={require("@site/static/img/pw2.png")} />

```json title="/.local/foo bar/bla bla.txt.dbmeta.json"
{
  "password": "foobar"
}
```

You can also specify the password as a key parameter in the URL:

```
http://localhost:3000/foo%20bar/bla%20bla.txt?key=foobar
```

Protected files will display a key icon next to their name in the file tree.

<Image img={require("@site/static/img/pw1.png")} />